Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.redis.connection
Interface RedisHashCommands

All Known Subinterfaces:
  RedisCommands, RedisConnection, StringRedisConnection

All Known Implementing Classes:
  DefaultStringRedisConnection, JedisConnection, JredisConnection, LettuceConnection, SrpConnection

    public interface RedisHashCommands

Hash-specific commands supported by Redis.

Method Summary
`Long` | `hDel(byte[] key, byte[]... fields)`
`Boolean` | `hExists(byte[] key, byte[] field)`
`byte[]` | `hGet(byte[] key, byte[] field)`
`Map<byte[],byte[]>` | `hGetAll(byte[] key)`
`Double` | `hIncrBy(byte[] key, byte[] field, double delta)`
`Long` | `hIncrBy(byte[] key, byte[] field, long delta)`
`Set<byte[]>` | `hKeys(byte[] key)`
`Long` | `hLen(byte[] key)`
`List<byte[]>` | `hMGet(byte[] key, byte[]... fields)`
`void` | `hMSet(byte[] key, Map<byte[],byte[]> hashes)`
`Boolean` | `hSet(byte[] key, byte[] field, byte[] value)`
`Boolean` | `hSetNX(byte[] key, byte[] field, byte[] value)`
`List<byte[]>` | `hVals(byte[] key)`

Method Detail

### hSet

    Boolean hSet(byte[] key,
                 byte[] field,
                 byte[] value)

### hSetNX

    Boolean hSetNX(byte[] key,
                   byte[] field,
                   byte[] value)

### hGet

    byte[] hGet(byte[] key,
                byte[] field)

### hMGet

    List<byte[]> hMGet(byte[] key,
                       byte[]... fields)

### hMSet

    void hMSet(byte[] key,
               Map<byte[],byte[]> hashes)

### hIncrBy

    Long hIncrBy(byte[] key,
                 byte[] field,
                 long delta)

### hIncrBy

    Double hIncrBy(byte[] key,
                   byte[] field,
                   double delta)

### hExists

    Boolean hExists(byte[] key,
                    byte[] field)

### hDel

    Long hDel(byte[] key,
              byte[]... fields)

### hLen

    Long hLen(byte[] key)

### hKeys

    Set<byte[]> hKeys(byte[] key)

### hVals

    List<byte[]> hVals(byte[] key)

### hGetAll

    Map<byte[],byte[]> hGetAll(byte[] key)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD